#ifndef TRANSITION_H
#define TRANSITION_H

#include "PtrPartage.h"
#include <vector>

class Regle;
struct Etat;

class Transition
{
   PtrPartage<Etat> avant_;
   std::vector<Regle*> regles_;
public:
   Transition(PtrPartage<Etat> avant)
      : avant_(avant)
   {
   }
   void ajouter(Regle *r)
      { if (r) regles_.push_back(r); }
   bool changer_etat() const;
   PtrPartage<Etat> courant()
      { return avant_; }
   PtrPartage<Transition> prochain() const;
   ~Transition() throw();
};

#endif
